< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package cache
  Definition Classes
    mongo
-  package collection
  Definition Classes
    cache
- NoSessionException
- SessionCacheRepository
- ShortLivedCacheRepository

c

uk.gov.hmrc.mongo.cache

# ShortLivedCacheRepository 

###

#### class ShortLivedCacheRepository[A] extends PlayMongoCacheCollection[A]

Linear Supertypes
PlayMongoCacheCollection[A], PlayMongoCollection[CacheItem[A]], MongoDatabaseCollection, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ShortLivedCacheRepository
2. PlayMongoCacheCollection
3. PlayMongoCollection
4. MongoDatabaseCollection
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ShortLivedCacheRepository(mongoComponent: MongoComponent, collectionName: String = "short-lived-cache", format: Format[A], ttl: Duration = 5.minutes, timestampSupport: TimestampSupport)(implicit arg0: ClassTag[A], ec: ExecutionContext)
   Annotations
     @Inject()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def cache(key: String, body: A): Future[Unit]
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
7.  val collection: MongoCollection[CacheItem[A]]
   Definition Classes
     PlayMongoCollection
8.  val collectionName: String
   Definition Classes
     PlayMongoCollection → MongoDatabaseCollection
9.  def ensureIndexes(): Future[Seq[String]]
   Definition Classes
     PlayMongoCollection
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def fetch(key: String): Future[Option[A]]
13.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  def find(id: String): Future[Option[CacheItem[A]]]
    Definition Classes
      PlayMongoCacheCollection
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  val indexes: Seq[IndexModel]
    Definition Classes
      PlayMongoCollection → MongoDatabaseCollection
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def remove(id: String): Future[Unit]
    Definition Classes
      PlayMongoCacheCollection
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  def upsert(id: String, toCache: A): Future[Unit]
    Definition Classes
      PlayMongoCacheCollection
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from PlayMongoCacheCollection[A]

### Inherited from PlayMongoCollection[CacheItem[A]]

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped